### Method

# Gtk UriLauncherset_uri

since: 4.10

#### Declaration [src]

    void
    gtk_uri_launcher_set_uri (
      GtkUriLauncher* self,
      const char* uri
    )

#### Description [src]

Sets the uri that will be opened.

Available since: 4.10

Sets property | `Gtk.UriLauncher:uri`

#### Parameters

`uri`

  Type: `const char*`

  The uri.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.